

<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width= , initial-scale=1.0">
    {%load static%}
    <link rel="stylesheet" href="{% static 'main/css/style.css' %}">
    <title>{% block title %}{% endblock %}</title>
</head>
<body>
    <div class="container">

        <header class="header">

            <div class="header__wrapper">
                <div class="header__title">
                    <a href="{% url 'home' %}" class="title__logo"><img class="logo" src="{% static 'main/images/logo.svg' %}" alt="logo"></a>
                </div>
                <nav class="header__navigation navigation">
                    <ul class="navigation__list">
                        <li class="navigation__item">
                            <a href="{% url 'vacanse' %}" class="navigation__link">
                                Вакансии
                            </a>
                        </li>
                        <li class="navigation__item">
                            <a href="{% url 'rabotadatel' %}" class="navigation__link">
                                Работадателям
                            </a>
                        </li>
                    </ul>
                </nav>
                {% if user.is_authenticated %} 
                <div class="header__id">
                    <p class="header__user">{{user}}</p>
                    <a class="header__logout" href="{% url 'logout' %}">Выйти</a>
                </div>
                {% else %}
                <div class="header__registration">
                    <a href="{% url 'login' %}" class="registration__link">
                       Войти 
                    </a>
                    <a href="{% url 'register' %}" class="regisration__link regisration__link-border">
                        Создать аккаунт
                    </a>
                </div>
                {% endif %}
                <div id="burger" class="header__burger burger-menu">
                    <span id="line1"></span>
                    <span id="line2" class="burger__span"></span>
                    <span id="line3" class="burger__span"></span>
                </div>
            </div>

        </header>
        <div id="burgerNav" class="burger-menu__nav dnone">
            <nav class="burger-menu__navbar">
                <ul class="burger-menu__list">
                    <li class="burger-menu__item">
                        <a href="{% url 'vacanse' %}" class="burger-menu__link">Вакансии</a>
                    </li>
                    <li class="burger-menu__item">
                        <a href="{% url 'rabotadatel' %}" class="burger-menu__link">Работадателям</a>
                    </li>
                    {% if user.is_authenticated %}
                    <li class="burger-menu__item">
                        <p class="burger-menu__link ">{{user}}</p>
                    </li>
                    <li class="burger-menu__item">
                        <a class="burger-menu__link burger-menu__link_button" href="{% url 'logout' %}">Выйти</a>
                    </li>
                    {% else %}
                    <li class="burger-menu__item">
                        <a href="{% url 'login' %}" class="burger-menu__link ">Войти</a>
                    </li>
                    <li class="burger-menu__item">
                        <a href="{% url 'register' %}" class="burger-menu__link burger-menu__link_button">Создать аккаунт</a>
                    </li>
                    {% endif %}
                </ul>
            </nav>
        </div>

        {% block content %}
        {% endblock %}

        <footer class="footer"> 
            <div class="footer__wrapper wrapper">
                <p class="footer__name">
                    Vacanse.ru
                </p>
                <p class="footer__copyright">
                    Соглашение об использовании
                    © 2022 Vacanse.ru, 12+
                </p>
            </div>
        </footer>

    </div>
    {%load static%}
    <script type="text/javascript" src={% static 'main/js/script.js' %} ></script>
</body>
</html>